POST api/Zapier/InsertServiceRequestsReplaceDriver

Insert service request replace driver.

Request Information

URI Parameters

None.

Body Parameters

ServiceRequestsReplaceDriverModel
NameDescriptionTypeAdditional information
driver_name_to_remove

string

Required

driver_name_to_add

string

None.

due_date

string

None.

description

string

None.

status

string

None.

insured_id

globally unique identifier

None.

insured_name

string

None.

insured_email

string

None.

insured_phone

string

None.

policy_number

string

None.

stage

string

None.

custom_type

string

None.

request_database_id

globally unique identifier

None.

policy_database_id

Collection of globally unique identifier

None.

agent_database_id

Collection of globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "driver_name_to_remove": "sample string 1",
  "driver_name_to_add": "sample string 2",
  "due_date": "sample string 3",
  "description": "sample string 4",
  "status": "sample string 5",
  "insured_id": "58c0b916-b0c7-46d2-a043-abe8cc8de86f",
  "insured_name": "sample string 6",
  "insured_email": "sample string 7",
  "insured_phone": "sample string 8",
  "policy_number": "sample string 9",
  "stage": "sample string 10",
  "custom_type": "sample string 11",
  "request_database_id": "edf84657-8257-4b98-824b-0fc26e5cb797",
  "policy_database_id": [
    "107abcc2-fe3d-4926-a086-752eb54cf333",
    "44b81c82-22a1-4b02-882c-5daf3b737305"
  ],
  "agent_database_id": [
    "5d180512-59e9-4747-aeef-51b154c96584",
    "b5939dde-2a64-438d-96c5-6a658b60948f"
  ]
}

application/xml, text/xml

Sample:
<ServiceRequestsReplaceDriverModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
  <AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>5d180512-59e9-4747-aeef-51b154c96584</d2p1:guid>
    <d2p1:guid>b5939dde-2a64-438d-96c5-6a658b60948f</d2p1:guid>
  </AgentDatabaseId>
  <CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 11</CustomType>
  <Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Description>
  <InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredEmail>
  <InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">58c0b916-b0c7-46d2-a043-abe8cc8de86f</InsuredId>
  <InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredName>
  <InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</InsuredPhone>
  <PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>107abcc2-fe3d-4926-a086-752eb54cf333</d2p1:guid>
    <d2p1:guid>44b81c82-22a1-4b02-882c-5daf3b737305</d2p1:guid>
  </PolicyDatabaseId>
  <PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</PolicyNumber>
  <RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">edf84657-8257-4b98-824b-0fc26e5cb797</RequestDatabaseId>
  <Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</Stage>
  <Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</Status>
  <DriverNameToAdd>sample string 2</DriverNameToAdd>
  <DriverNameToRemove>sample string 1</DriverNameToRemove>
  <DueDate>sample string 3</DueDate>
</ServiceRequestsReplaceDriverModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResultWithDatabaseId
NameDescriptionTypeAdditional information
DatabaseId

globally unique identifier

None.

Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "databaseId": "de354a30-1c01-454d-a81c-5bb87ea1fe01",
  "status": 0,
  "message": "sample string 2"
}

application/xml, text/xml

Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 2</Message>
  <Status>Error</Status>
  <DatabaseId>de354a30-1c01-454d-a81c-5bb87ea1fe01</DatabaseId>
</NowCertsApiResultWithDatabaseId>